org.apache.ignite.internal.processors.securesession

## Interface GridSecureSessionProcessor

All Superinterfaces:
  GridComponent, GridProcessor

All Known Implementing Classes:
  GridOsSecureSessionProcessor

    public interface GridSecureSessionProcessor
    extends GridProcessor

This interface defines a grid secure session processor.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

Methods
`boolean` `enabled()`
`byte[]` `updateSession(GridSecuritySubjectType subjType, UUID subjId, GridSecurityContext subjCtx, Object params)` Generates secure session token.
`GridSecureSession` `validateSession(GridSecuritySubjectType subjType, UUID subjId, byte[] tok, Object params)`

### Methods inherited from interface org.apache.ignite.internal.processors.GridProcessor

`addAttributes`

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectDiscoveryData, discoveryDataType, onDiscoveryDataReceived, onKernalStart, onKernalStop, printMemoryStats, start, stop, validateNode`

### Method Detail

#### validateSession

    GridSecureSession validateSession(GridSecuritySubjectType subjType,
                                    UUID subjId,
                                    @Nullable
                                    byte[] tok,
                                    @Nullable
                                    Object params)
                                      throws IgniteCheckedException

Parameters:
  `subjType` - Subject type.
  `subjId` - Subject ID.
  `tok` - Token.
  `params` - Parameters.
Returns:
  Validated secure session or `null` if session is not valid.
Throws:
  `IgniteCheckedException` - If error occurred.

#### updateSession

    byte[] updateSession(GridSecuritySubjectType subjType,
                       UUID subjId,
                       GridSecurityContext subjCtx,
                       @Nullable
                       Object params)
                         throws IgniteCheckedException

Generates secure session token.

Parameters:
  `subjType` - Subject type.
  `subjId` - Subject ID.
  `subjCtx` - Authentication subject context.
  `params` - Params.
Returns:
  Generated session token.
Throws:
  `IgniteCheckedException`

#### enabled

    boolean enabled()

Returns:
  GridSecureSessionProcessor is enable.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015